For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Channels
    • Orders
    • Products
      • POSTCreate single product to the store
      • GETRetrieves List of Products based on filters provided
      • GETGet Product
      • PATCHUpdate a single product with Json Merge Patch functionality
      • POSTUsed to Create a new Channel Metadata Entry for a given Variant
      • PUTUpdate specific channel metadata record from a variant by channel metadata ID
      • DELUsed to delete a specific channel metadata record from a variant by channel metadata ID
      • GETGet Packaging Requirement
      • GETGet Taxonomies
      • GETGet Taxonomy by Id
      • GETGet Taxonomy Parent by Id
    • Inventory
    • Receiving
    • Returns
    • Webhooks
    • Locations
    • OpenAPI spec
LogoLogo
API ReferenceProducts

Get Taxonomies

||View as Markdown|
GET
/2.0/taxonomy
GET
/2.0/taxonomy
$curl https://api.shipbob.com/2.0/taxonomy \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "children": [
4 {
5 "has_children": true,
6 "id": 0,
7 "name": "string",
8 "path": "string"
9 }
10 ],
11 "id": 0,
12 "name": "string",
13 "parent": {
14 "id": 0,
15 "name": "string",
16 "path": "string"
17 },
18 "path": "string"
19 }
20]
Was this page helpful?
Previous

Get Packaging Requirement

Next

Get Taxonomy by Id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

searchstringOptional

Response

Success
childrenlist of objects or null
idinteger
namestring or null
parentobject or null
pathstring or null

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error